apiVersion: apps/v1
kind: Deployment
metadata:
  name: micro2-deployment
  labels:
    app: micro2
spec:
  replicas: 2
  selector:
    matchLabels:
      app: micro2
  template:
    metadata:
      labels:
        app: micro2
    spec:
      containers:
      - name: micro2
        image: nicolascf/bootcamp-micro2:2.0
        ports:
        - containerPort: 8080